import type { UpdatePasswordParam, UserProfile } from './types';

import { get, put, request } from '@/utils/request';

/**
 * 用户个人主页信息
 * @returns userInformation
 */
export function userProfile() {
  return get<UserProfile>('/system/user/profile').json();
}

/**
 * 更新用户个人主页信息
 * @param data
 * @returns void
 */
export function userProfileUpdate(data: any) {
  return put<void>('/system/user/profile', data).json();
}

/**
 * 用户修改密码
 * @param data
 * @returns void
 */
export function userUpdatePassword(data: UpdatePasswordParam) {
  return put<void>('/system/user/profile/updatePwd', data).json();
}

/**
 * 用户更新个人头像
 * @param file 文件
 * @returns void
 */
export function userUpdateAvatar(file: File) {
  const formData = new FormData();
  formData.append('avatarfile', file);
  return request.post<void>('/system/user/profile/avatar', formData).json();
}
